BBG Bugs - Feature #1939

Pembuatan service absence quota untuk karyawan dengan masa kerja 5 tahun dan kelipatan nya
01/18/2023 10:39 AM - Muhammad Bintar

Status: Closed Start date: 01/18/2023
Priority: High Due date: 01/23/2023
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.50 hours
Description

dear tim developer mohon support nya untuk pembuatan service absence quota dimana:

Jika masa kerja karyawan sudah genap 5(lima) tahun maka karyawan
mendapatkan cuti tambahan (cuti masa kerja) sebanyak 5(lima) hari yang
berlaku selama 5(lima) tahun ke depan, sampai masa kerja genap
10(sepuluh) tahun

[ Cuti masa kerja tersebut hanya 5(lima) hari selama 5(lima) tahun, bukan per
tahun

[ Jika dalam waktu 5(tahun) cuti tersebut tidak digunakan karyawan maka
akan hangus dan tidak dapat diakumulasi

[l Jika masa kerja karyawan sudah genap 10(sepuluh) tahun maka akan
mendapatkan cuti masa kerja baru sebanyak 5(lima) hari.

[ Cuti masa kerja berlaku demikian seterusnya setiap kelipatan 5(lima) tahun.

approval Manager setelan itu ke Direktur
» lika manager (tidak memiliki Head) mengajukan perdin maka akan langsung
masuk ke Direktur.

Untuk tahun 2023, BBG minta cuti masa kerja dapat dilakukan secara otomatis Minovais, cfm bisa disesuaikan

oleh sistem HRIS dengan ketentuan shb.:

+ lika masa kerja karyawan sudah genap 5(lima) tahun maka karyawan
mendapatkan cuti tambahan (cuti masa kerja) sebanyak 5(lima) hari yang
berlaku selama 5(lima) tahun ke depan, sampai masa kerja genap
10(sepuluh) tahun

« Cuti masa kerja tersebut hanya 5(lima) hari selama 5(lima) tahun, bukan per
tahun

« lika dalam waktu 5(tahun) cuti tersebut tidak digunakan karyawan maka
akan hangus dan tidak dapat diakumulasi

« lika masa kerja karyawan sudah genap 10(sepuluh) tahun maka akan
mendapatkan cuti masa kerja baru sebanyak 5(lima) hari.

» (uti masa kerja berlaku demikian seterusnya setiap kelipatan 5(lima) tahun.

4 | Pastikan Ibu Artika Sari P sudah berada di level Head (HRIS) Apri dan Minovais
History

#1 - 01/19/2023 03:06 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 01/23/2023 05:02 PM - M Azid Wahyudi

- Status changed from Assigned to Revise

- Assignee changed from M Azid Wahyudi to Muhammad Bintar
masbin , untuk pembuatan service ini tolong di perjelas ya

absen typenya apa ?
di itu pada saat hiring atau employee movement

07/03/2025 12




makasih

#3 - 01/25/2023 02:14 PM - Mohammad Daud

Zid.. untuk Absent Quota Typenya 'Cuti Masa Kerja' kode 1111 dan perhitungannya base on tanggal hiring

#4 - 01/25/2023 02:15 PM - Mohammad Daud
- Status changed from Revise to Assigned

- Assignee changed from Muhammad Bintar to M Azid Wahyudi

#5 - 01/26/2023 04:08 PM - M Azid Wahyudi

- File Service kelipatan 5 tahun.sql added

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar
dear masbin , berikut ini querynya

belom di bikinin spnya

makasih

#6 - 04/16/2024 02:19 PM - Muhammad Bintar
- Status changed from QA Test to Closed

oke sudah deploy

#7 - 04/16/2024 02:28 PM - Muhammad Bintar
- Assignee changed from Muhammad Bintar to M Azid Wahyudi
